require 'rails_helper'

RSpec.describe "settings/menu_categories/show", type: :view do
  before(:each) do
    @settings_menu_category = assign(:settings_menu_category, Settings::MenuCategory.create!(
      :menu => nil,
      :name => "Name",
      :alt_name => "Alt Name",
      :order_by => 2,
      :menu_category => nil
    ))
  end

  it "renders attributes in <p>" do
    render
    expect(rendered).to match(//)
    expect(rendered).to match(/Name/)
    expect(rendered).to match(/Alt Name/)
    expect(rendered).to match(/2/)
    expect(rendered).to match(//)
  end
end
